
GammaLib - Feature #1851

Add GLS projection

08/30/2016 03:01 PM - Mayer Michael

Status: Closed Start date: 08/30/2016

Priority: Immediate Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.3.0   

Description

Nukri Komin reported he wanted to run an analysis with a FITS template which is using the "GLS" projection code. This is not yet

implemented in gammalib. The projection should thus be added and supported.

History

#1 - 03/03/2017 10:18 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#2 - 03/14/2017 05:41 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- Priority changed from Normal to Immediate

#3 - 03/15/2017 11:14 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 80

The GLS projection is in fact an alias of the SFL projection, I hence implemented a GWcsSFL class for the SFL projection and then derived the class

GWcsGLS from this class to implement the GLS projection.

#4 - 03/16/2017 12:24 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Merged into devel.
